Mantis Bugtracker

Viewing Issue Advanced Details Jump to Notes ] View Simple ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000019 [MyDNS-NG] Global minor always 2009-04-22 15:41 2014-08-07 22:04
Reporter owaldheim View Status public  
Assigned To jameno123
Priority normal Resolution fixed Platform
Status resolved   OS
Projection none   OS Version
ETA none Fixed in Version 1.2.8.32 Product Version 1.2.8.31
  Target Version Product Build
Summary 0000019: Syntax error in mydnsutil.h
Description In file lib/mydnsutil.h, line 539:

#if !HAVE_INET_NTOP
extern const char extern char *sql_errmsg(MYSQL *);
*inet_ntop(int, const void *, char *, unsigned int);
#endif

results in:

mydnsutil.h:540: error: syntax error before '*' token
mydnsutil.h:540: error: two or more data types in declaration of `sql_errmsg'
mydnsutil.h:540: error: duplicate `extern'
mydnsutil.h:541: error: conflicting types for 'inet_ntop'
Steps To Reproduce
Additional Information I changed it to:

#if !HAVE_INET_NTOP
extern char *sql_errmsg(MYSQL *);
extern const char *inet_ntop(int, const void *, char *, unsigned int);
#endif

and got still error (I´m using postgres):

mydnsutil.h:540: error: syntax error before '*' token

and changed it to:

#if !HAVE_INET_NTOP
extern char *sql_errmsg(PGconn *);
extern const char *inet_ntop(int, const void *, char *, unsigned int);
#endif

but correct should be a #if USE_PGSQL / #else construction.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000075)
howardwilkinson (administrator)
2009-06-28 12:13

Will push a fix for this to 1.2.8.28 and 1.2.9.0

(0000213)
jameno123 (administrator)
2014-08-07 22:04

This looks to be an incorrect paste of sql_errmsg... The code does not reference that function anywhere so i am not sure why its declared there (in the middle of another function).

Patch committed in git master
http://sourceforge.net/p/mydns-ng/code/ci/e664bcbba9bdfed75180aec5a683906a1d6168d3/ [^]

Will be fixed in 1.2.8.32 / 1.2.9 release

- Issue History
Date Modified Username Field Change
2009-04-22 15:41 owaldheim New Issue
2009-05-03 12:08 jorge Status new => assigned
2009-05-03 12:08 jorge Assigned To => howardwilkinson
2009-06-28 12:13 howardwilkinson Note Added: 0000075
2009-06-28 12:13 howardwilkinson Status assigned => acknowledged
2014-08-07 22:04 jameno123 Note Added: 0000213
2014-08-07 22:04 jameno123 Status acknowledged => assigned
2014-08-07 22:04 jameno123 Assigned To howardwilkinson => jameno123
2014-08-07 22:04 jameno123 Status assigned => resolved
2014-08-07 22:04 jameno123 Fixed in Version => 1.2.8.32
2014-08-07 22:04 jameno123 Resolution open => fixed
2014-08-07 22:04 jameno123 version 1.2.8 => 1.2.8.31


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker